<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - coverage.info - proyecto/edc_common.vhd</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">proyecto</a> - edc_common.vhd<span style="font-size: 80%;"> (source / <a href="edc_common.vhd.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">coverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">1</td>
            <td class="headerCovTableEntry">1</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2023-02-09 17:19:34</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">2</td>
            <td class="headerCovTableEntry">4</td>
            <td class="headerCovTableEntryLo">50.0 %</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span><span class="lineCov">          4 : -- @author Hipólito Guzmán-Miranda</span></a>
<a name="2"><span class="lineNum">       2 </span>            : -- Define fixed-point complex datatypes of different widths</a>
<a name="3"><span class="lineNum">       3 </span>            : library ieee;</a>
<a name="4"><span class="lineNum">       4 </span>            : use ieee.std_logic_1164.all;</a>
<a name="5"><span class="lineNum">       5 </span>            : use ieee.numeric_std.all;</a>
<a name="6"><span class="lineNum">       6 </span>            : </a>
<a name="7"><span class="lineNum">       7 </span>            : package edc_common is</a>
<a name="8"><span class="lineNum">       8 </span>            : </a>
<a name="9"><span class="lineNum">       9 </span>            :     -- Complex fixed-point number with 10 bits per component</a>
<a name="10"><span class="lineNum">      10 </span>            :     type complex10 is</a>
<a name="11"><span class="lineNum">      11 </span>            :         record</a>
<a name="12"><span class="lineNum">      12 </span>            :             re : signed(9 downto 0);</a>
<a name="13"><span class="lineNum">      13 </span>            :             im : signed(9 downto 0);</a>
<a name="14"><span class="lineNum">      14 </span>            :         end record;</a>
<a name="15"><span class="lineNum">      15 </span>            : </a>
<a name="16"><span class="lineNum">      16 </span>            :     -- Complex fixed-point number with 15 bits per component</a>
<a name="17"><span class="lineNum">      17 </span>            :     type complex15 is</a>
<a name="18"><span class="lineNum">      18 </span>            :         record</a>
<a name="19"><span class="lineNum">      19 </span>            :             re : signed(14 downto 0);</a>
<a name="20"><span class="lineNum">      20 </span>            :             im : signed(14 downto 0);</a>
<a name="21"><span class="lineNum">      21 </span>            :         end record;</a>
<a name="22"><span class="lineNum">      22 </span>            : </a>
<a name="23"><span class="lineNum">      23 </span>            : end edc_common;</a>
<a name="24"><span class="lineNum">      24 </span>            : </a>
<a name="25"><span class="lineNum">      25 </span>            : package body edc_common is</a>
<a name="26"><span class="lineNum">      26 </span>            : </a>
<a name="27"><span class="lineNum">      27 </span>            : end edc_common;</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
